Client configurations

Manage Client Configurations

Retrieving clients

get

Retrieves a list of clients for a specified tenant.

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstringRequired

Your Emporix tenant name.

Note: The tenant should always be written in lowercase.

Responses
chevron-right
200

OK

application/json
string[]Optional
get
/configuration/{tenant}/clients

Retrieving client configurations

get

Retrieves a list of configurations for a specified client.

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstringRequired

Your Emporix tenant name.

Note: The tenant should always be written in lowercase.

clientstringRequired

Desired client's unique identifier.

Query parameters
keysstringOptional
Responses
chevron-right
200

OK

application/json
keystring · min: 1Required

Configuration key.

valueone ofRequired

Configuration value. It can be any valid JSON object.

objectOptional
or
stringOptional
or
object[]Optional
or
booleanOptional
versionintegerOptional

Configuration version.

descriptionstringOptional

Describes purpose of the configuration.

securedbooleanOptional

Flag indicating whether the configuration should be encrypted. It works only if value field is of string type.

Default: false
restrictedbooleanOptional

Flag indicating whether the configuration should be restricted. When configuration is rectricted then it cannot be deleted. When this property is set to true then it cannot be unset.

Default: false
readOnlybooleanOptional

Flag indicating whether the configuration should be readOnly. When configuration is readOnly then it cannot be updated.

Default: false
schemaUrlstring · uriOptional

URL of Json Schema for validation purpose. When configuration is created this value can be provided and then each update operation will be validated against this schema. This property cannot be updated so once set it cannot be unset. The Json Schema should contain one root property named value in order to work correctly. An example of a valid schema: { "$schema": "http://json-schema.org/draft-07/schema#", "type": "object", "required": ["value"], "properties": { "value": { "type": "boolean" } } }

_idstring · min: 1Optional

The client configuration unique identifier.

clientstring · min: 1Optional

The client to which the configuration applies.

get
/configuration/{tenant}/clients/{client}/configurations
200

OK

Creating client configurations

post

Creates a new client configuration.

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstringRequired

Your Emporix tenant name.

Note: The tenant should always be written in lowercase.

clientstringRequired

Desired client's unique identifier.

Bodyall of[]
keystring · min: 1Required

Configuration key.

valueone ofRequired

Configuration value. It can be any valid JSON object.

objectOptional
or
stringOptional
or
object[]Optional
or
booleanOptional
versionintegerOptional

Configuration version.

descriptionstringOptional

Describes purpose of the configuration.

securedbooleanOptional

Flag indicating whether the configuration should be encrypted. It works only if value field is of string type.

Default: false
restrictedbooleanOptional

Flag indicating whether the configuration should be restricted. When configuration is rectricted then it cannot be deleted. When this property is set to true then it cannot be unset.

Default: false
readOnlybooleanOptional

Flag indicating whether the configuration should be readOnly. When configuration is readOnly then it cannot be updated.

Default: false
schemaUrlstring · uriOptional

URL of Json Schema for validation purpose. When configuration is created this value can be provided and then each update operation will be validated against this schema. This property cannot be updated so once set it cannot be unset. The Json Schema should contain one root property named value in order to work correctly. An example of a valid schema: { "$schema": "http://json-schema.org/draft-07/schema#", "type": "object", "required": ["value"], "properties": { "value": { "type": "boolean" } } }

_idstring · min: 1Optional

The client configuration unique identifier.

clientstring · min: 1Optional

The client to which the configuration applies.

Responses
post
/configuration/{tenant}/clients/{client}/configurations

Retrieving a client configuration

get

Retrieves a specified client configuration.

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstringRequired

Your Emporix tenant name.

Note: The tenant should always be written in lowercase.

clientstringRequired

Desired client's unique identifier.

propertyKeystringRequired

Desired configuration key.

Responses
chevron-right
200

OK

application/json
keystring · min: 1Required

Configuration key.

valueone ofRequired

Configuration value. It can be any valid JSON object.

objectOptional
or
stringOptional
or
object[]Optional
or
booleanOptional
versionintegerOptional

Configuration version.

descriptionstringOptional

Describes purpose of the configuration.

securedbooleanOptional

Flag indicating whether the configuration should be encrypted. It works only if value field is of string type.

Default: false
restrictedbooleanOptional

Flag indicating whether the configuration should be restricted. When configuration is rectricted then it cannot be deleted. When this property is set to true then it cannot be unset.

Default: false
readOnlybooleanOptional

Flag indicating whether the configuration should be readOnly. When configuration is readOnly then it cannot be updated.

Default: false
schemaUrlstring · uriOptional

URL of Json Schema for validation purpose. When configuration is created this value can be provided and then each update operation will be validated against this schema. This property cannot be updated so once set it cannot be unset. The Json Schema should contain one root property named value in order to work correctly. An example of a valid schema: { "$schema": "http://json-schema.org/draft-07/schema#", "type": "object", "required": ["value"], "properties": { "value": { "type": "boolean" } } }

_idstring · min: 1Optional

The client configuration unique identifier.

clientstring · min: 1Optional

The client to which the configuration applies.

get
/configuration/{tenant}/clients/{client}/configurations/{propertyKey}

Updating a client configuration

put

Updates a specified client configuration.

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstringRequired

Your Emporix tenant name.

Note: The tenant should always be written in lowercase.

clientstringRequired

Desired client's unique identifier.

propertyKeystringRequired

Desired configuration key.

Body
keystring · min: 1Required

Configuration key.

valueone ofRequired

Configuration value. It can be any valid JSON object.

objectOptional
or
stringOptional
or
object[]Optional
or
booleanOptional
versionintegerOptional

Configuration version.

descriptionstringOptional

Describes purpose of the configuration.

securedbooleanOptional

Flag indicating whether the configuration should be encrypted. It works only if value field is of string type.

Default: false
restrictedbooleanOptional

Flag indicating whether the configuration should be restricted. When configuration is rectricted then it cannot be deleted. When this property is set to true then it cannot be unset.

Default: false
readOnlybooleanOptional

Flag indicating whether the configuration should be readOnly. When configuration is readOnly then it cannot be updated.

Default: false
schemaUrlstring · uriOptional

URL of Json Schema for validation purpose. When configuration is created this value can be provided and then each update operation will be validated against this schema. This property cannot be updated so once set it cannot be unset. The Json Schema should contain one root property named value in order to work correctly. An example of a valid schema: { "$schema": "http://json-schema.org/draft-07/schema#", "type": "object", "required": ["value"], "properties": { "value": { "type": "boolean" } } }

_idstring · min: 1Optional

The client configuration unique identifier.

clientstring · min: 1Optional

The client to which the configuration applies.

Responses
chevron-right
200

OK

application/json
keystring · min: 1Required

Configuration key.

valueone ofRequired

Configuration value. It can be any valid JSON object.

objectOptional
or
stringOptional
or
object[]Optional
or
booleanOptional
versionintegerOptional

Configuration version.

descriptionstringOptional

Describes purpose of the configuration.

securedbooleanOptional

Flag indicating whether the configuration should be encrypted. It works only if value field is of string type.

Default: false
restrictedbooleanOptional

Flag indicating whether the configuration should be restricted. When configuration is rectricted then it cannot be deleted. When this property is set to true then it cannot be unset.

Default: false
readOnlybooleanOptional

Flag indicating whether the configuration should be readOnly. When configuration is readOnly then it cannot be updated.

Default: false
schemaUrlstring · uriOptional

URL of Json Schema for validation purpose. When configuration is created this value can be provided and then each update operation will be validated against this schema. This property cannot be updated so once set it cannot be unset. The Json Schema should contain one root property named value in order to work correctly. An example of a valid schema: { "$schema": "http://json-schema.org/draft-07/schema#", "type": "object", "required": ["value"], "properties": { "value": { "type": "boolean" } } }

put
/configuration/{tenant}/clients/{client}/configurations/{propertyKey}

Deleting a client configuration

delete

Deletes a specified client configuration.

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstringRequired

Your Emporix tenant name.

Note: The tenant should always be written in lowercase.

clientstringRequired

Desired client's unique identifier.

propertyKeystringRequired

Desired configuration key.

Body
objectOptional
Responses
delete
/configuration/{tenant}/clients/{client}/configurations/{propertyKey}

No content

Last updated

Was this helpful?